Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » GEF » Unable to load graphics library [GDI+ is required] on Vista
Unable to load graphics library [GDI+ is required] on Vista [message #236532] Mon, 02 July 2007 10:51 Go to next message
Eclipse User
Originally posted by: robert.moestl.joanneum.at

Hello!

I'm working on an application which uses GEF.

Today I tried to run my application on a Windows Vista machine. The
program starts up but when opening a GEF editor it fails producing this
message:

Unable to create this part due to an internal error. Reason for the
failure: Unable to load graphics library [GDI+ is required]
(java.lang.UnsatisfiedLinkError: no swt-gdip-win32-3139 in
java.library.path)


Further this stacktrace was collected:
java.lang.UnsatisfiedLinkError: no swt-gdip-win32-3139 in java.library.path
at java.lang.ClassLoader.loadLibrary(Unknown Source)
at java.lang.Runtime.loadLibrary0(Unknown Source)
at java.lang.System.loadLibrary(Unknown Source)
at org.eclipse.swt.internal.Library.loadLibrary(Library.java:12 3)
at org.eclipse.swt.internal.gdip.Gdip.<clinit>(Gdip.java:17)
at org.eclipse.swt.graphics.Device.checkGDIP(Device.java:171)
at org.eclipse.swt.graphics.Transform.<init>(Transform.java:105)
at org.eclipse.swt.graphics.Transform.<init>(Transform.java:56)


The message tells me that something is different with the GDC+ under
Vista. May someone already has experience with this behavior and
therefore knows how to overcome this. After all as far as I know Vistas
whole "graphical thing" was reorganized in some way and because of that
I think that my problem is related to this.

Thanks in advance

Robert
Re: Unable to load graphics library [GDI+ is required] on Vista [message #241706 is a reply to message #236532] Wed, 05 March 2008 09:49 Go to previous message
Eclipse User
Originally posted by: robert.moestl.joanneum.at

Hi!

It's me again. In the meantime I discovered why I got this strange error
on Windows Vista. The problem was that the application was installed
in the Windows Program Files directory. Applications are not allowed to
write to this directory but my application uses GEF which requires this
library to be unpacked and stored in the OSGI plugin of the platform.
Thus when running the application as an administrator the application
was able to unpack this dll.

Regards,
Robert

Robert Möstl wrote:
> Hello!
>
> I'm working on an application which uses GEF.
>
> Today I tried to run my application on a Windows Vista machine. The
> program starts up but when opening a GEF editor it fails producing this
> message:
>
> Unable to create this part due to an internal error. Reason for the
> failure: Unable to load graphics library [GDI+ is required]
> (java.lang.UnsatisfiedLinkError: no swt-gdip-win32-3139 in
> java.library.path)
>
>
> Further this stacktrace was collected:
> java.lang.UnsatisfiedLinkError: no swt-gdip-win32-3139 in java.library.path
> at java.lang.ClassLoader.loadLibrary(Unknown Source)
> at java.lang.Runtime.loadLibrary0(Unknown Source)
> at java.lang.System.loadLibrary(Unknown Source)
> at org.eclipse.swt.internal.Library.loadLibrary(Library.java:12 3)
> at org.eclipse.swt.internal.gdip.Gdip.<clinit>(Gdip.java:17)
> at org.eclipse.swt.graphics.Device.checkGDIP(Device.java:171)
> at org.eclipse.swt.graphics.Transform.<init>(Transform.java:105)
> at org.eclipse.swt.graphics.Transform.<init>(Transform.java:56)
>
>
> The message tells me that something is different with the GDC+ under
> Vista. May someone already has experience with this behavior and
> therefore knows how to overcome this. After all as far as I know Vistas
> whole "graphical thing" was reorganized in some way and because of that
> I think that my problem is related to this.
>
> Thanks in advance
>
> Robert
Previous Topic:delete request on a page within a MultiPageEditorPart
Next Topic:Figure fills compartment (GMF)
Goto Forum:
  


Current Time: Sat Aug 23 13:40:19 EDT 2014

Powered by FUDForum. Page generated in 0.08222 seconds